package com.jdbernard.wdiwtlt.interfaces

public class CommandLineInterface {

    public static final VERSION = "alpha"

    public static final def DOC = """\
wdiwtlt v$VERSION

Usage:
    wdiwtlt [options]

Options:
    -L --library-root <root-dir>

        The path to a local media library directory. Providing a local library
        causes wdiwtlt to run in local mode.

Configuration:
"""

    public static void main(String[] args) {

        def opts = new Docopt(DOC).withVersion("wdiwtlt v$VERSION").parse(args)

        println opts
    }
}
